import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import com.jinsight.jetchart.*;
import java.io.*;

public class Example31 extends JFrame implements Runnable {
    
    PieGraph graph;
    
    public Example31() {
	
        graph=new PieGraph();
        graph.set3DEnabled(true);
	
        graph.setTitle(new String[]{"The JetChart Library","Reading data from an XML source"});
	
        PieSerie ps=new PieSerie();
        graph.addSerie(ps);
	
        Container ct=getContentPane();
        ct.add(graph);
	
        setSize(550,400);
        setVisible(true);
        
	Thread t=new Thread(this);
        t.start();

    }
    
    public void run() {
	
        FileReader fr=null;
	
        while (true) {
	    
	    try {
		
		fr=new FileReader("piechart.xml");
		
		graph.readXMLData(fr);
		graph.repaint();
		
		Thread.sleep(5000);
		
	    }
	    catch (InterruptedException e) {
		e.printStackTrace();
	    }
	    catch (IOException e) {
		e.printStackTrace();
	    }
	    finally {
		try {
		    if (fr!=null) 
			fr.close();
		}
		catch (IOException e) {
		}
	    }
        }
    }
    
    public static void main(String[] args) {
	new Example31();
    }
    
}

